TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Modexp ( elt-ord^num a, elt-ord^rat n, elt-ord^rat m ) -> elt-ord^num

### Description

<shortdoc> The modular power (a^n) mod m [n >= 0, m > 1]. </shortdoc>

### Examples

x_ordElt := PrimitiveElement(EquationOrder(X^2-2)); Modexp(x_ordElt,5,5);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack